package cn.sh.stc.sict.cloud.upms.controller.feign;


import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.cloud.upms.model.SysLog;
import cn.sh.stc.sict.cloud.upms.service.SysLogService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 系统日志
 *
 * @author F_xh。
 * @date 2020-12-27 11:34:55
 */
@Slf4j
@RestController
@RequestMapping("/feign/log")
@AllArgsConstructor
public class LogFeignController {

    private final SysLogService sysLogService;

    @PostMapping("/save")
    private R<Boolean> saveLog(@RequestBody SysLog sysLog){
        sysLogService.save(sysLog);
        return new R(true);
    }
}
