package cn.sh.stc.sict.cloud.upms.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户角色表
 *
 * @author F_xh
 * @date 2021-01-07 09:26:00
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hp_user_role")
public class HpUserRole extends Model<HpUserRole> {
private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
        @TableId
                @ApiModelProperty(hidden = false, value = "用户id")
private Long userId;
    /**
     * 角色id
     */
                @ApiModelProperty(hidden = false, value = "角色id")
private Long roleId;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal(){
        return this.userId;
    }
}
