package cn.sh.stc.sict.cloud.upms.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 路由配置表
 *
 * @author F_xh
 * @date 2020-12-27 10:34:07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hp_route_conf")
public class SysRouteConf extends Model<SysRouteConf> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    @ApiModelProperty(hidden = false, value = "主键")
    private Integer id;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String routeName;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String routeId;
    /**
     * 断言
     */
    @ApiModelProperty(hidden = false, value = "断言")
    private String predicates;
    /**
     * 过滤器
     */
    @ApiModelProperty(hidden = false, value = "过滤器")
    private String filters;
    /**
     *
     */
    @ApiModelProperty(hidden = false, value = "")
    private String uri;
    /**
     * 排序
     */
    @ApiModelProperty(hidden = false, value = "排序")
    @TableField(value = "`order`")
    private Integer order;
    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(hidden = true, value = "修改时间")
    private Date updateTime;
    /**
     *
     */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(hidden = true, value = "")
    private Byte isDeleted;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
