package cn.sh.stc.sict.cloud.upms.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.sh.stc.sict.cloud.upms.model.SysRouteConf;
import reactor.core.publisher.Mono;

import java.util.List;

/**
 * 路由配置表
 *
 * @author F_xh
 * @date 2020-12-27 10:34:07
 */
public interface SysRouteConfService extends IService<SysRouteConf> {
    /**
     * 获取全部路由
     *
     * @return
     */
    List<SysRouteConf> routes();

    /**
     * 更新路由信息
     *
     * @param routes 路由信息
     * @return
     */
    Mono<Void> updateRoutes(JSONArray routes);
}

