package cn.sh.stc.sict.cloud.upms.service.impl;

import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;

import cn.sh.stc.sict.cloud.upms.dao.HpMenuMapper;
import cn.sh.stc.sict.cloud.upms.model.HpMenu;
import cn.sh.stc.sict.cloud.upms.service.HpMenuService;

import java.util.List;


@Service("hpMenuService")
@AllArgsConstructor
public class HpMenuServiceImpl extends ServiceImpl<HpMenuMapper, HpMenu> implements HpMenuService {

    private final HpMenuMapper hpMenuMapper;

    @Override
    public List<HpMenu> listByRoleId(Long roleId) {
        return hpMenuMapper.listByRoleId(roleId);
    }

    @Override
    public List<HpMenu> listByUserId(Long userId) {
        return hpMenuMapper.listByUserId(userId);
    }
}
