package cn.sh.stc.sict.cloud.upms;

import cn.sh.stc.sict.cloud.common.security.annotation.EnableSictFeignClients;
import cn.sh.stc.sict.cloud.common.security.annotation.EnableSictResourceServer;
import cn.sh.stc.sict.cloud.common.swagger.annotation.EnableSictSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.scheduling.annotation.EnableAsync;


/**
 * @author admin
 */
@EnableAsync
@EnableSictSwagger2
@SpringCloudApplication
@EnableSictFeignClients
@EnableSictResourceServer(details = true)
public class CloudUpmsBizApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudUpmsBizApplication.class, args);
    }
}
