package cn.sh.stc.sict.cloud.upms.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;

/**
 * 角色菜单表
 *
 * @author F_xh
 * @date 2021-01-07 09:26:01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("hp_role_menu")
public class HpRoleMenu extends Model<HpRoleMenu> {
private static final long serialVersionUID=1L;

    /**
     * 角色id
     */
        @TableId
                @ApiModelProperty(hidden = false, value = "角色id")
private Long roleId;
    /**
     * 菜单id
     */
                @ApiModelProperty(hidden = false, value = "菜单id")
private Long menuId;

    /**
     * 主键值
     */
    @Override
    protected Serializable pkVal(){
        return this.roleId;
    }
}
