package cn.sh.stc.sict.cloud.upms.service;

import cn.sh.stc.sict.cloud.upms.dto.UserDTO;
import cn.sh.stc.sict.cloud.upms.dto.UserInfo;
import cn.sh.stc.sict.cloud.upms.model.SysUserBase;
import com.baomidou.mybatisplus.extension.service.IService;
import me.chanjar.weixin.common.error.WxErrorException;

/**
 * 系统基础用户表
 *
 * @author F_xh
 * @date 2020-12-27 10:34:32
 */
public interface SysUserBaseService extends IService<SysUserBase> {
    UserInfo getUserInfo(String appId, String username);

    UserInfo getUserInfoBySocial(String appId, String inStr) throws WxErrorException;

    boolean saveDto(UserDTO dto);

    boolean exist(SysUserBase user);

    void initRedisByUserName(String userName);
}

